{
    "packages": [
        {
            "name": "daijie/aria2",
            "version": "v1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/shiny/php-aria2.git",
                "reference": "2954b52c816154bbea035adfc00c200b575b284c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/shiny/php-aria2/zipball/2954b52c816154bbea035adfc00c200b575b284c",
                "reference": "2954b52c816154bbea035adfc00c200b575b284c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-curl": "*",
                "php": ">=5.4.0"
            },
            "time": "2017-01-03T11:23:36+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "WTFPL"
            ],
            "authors": [
                {
                    "name": "DaiJie",
                    "email": "daijie@php.net"
                }
            ],
            "description": "talk with aria2",
            "homepage": "https://github.com/shiny/php-aria2",
            "keywords": [
                "aria2"
            ],
            "support": {
                "issues": "https://github.com/shiny/php-aria2/issues",
                "source": "https://github.com/shiny/php-aria2/tree/master"
            },
            "install-path": "../daijie/aria2"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "6.5.8",
            "version_normalized": "6.5.8.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "a52f0440530b54fa079ce76e8c5d196a42cad981"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/guzzlehttp/guzzle/6.5.8/guzzlehttp-guzzle-6.5.8.zip",
                "reference": "a52f0440530b54fa079ce76e8c5d196a42cad981",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.0",
                "guzzlehttp/psr7": "^1.9",
                "php": ">=5.5",
                "symfony/polyfill-intl-idn": "^1.17"
            },
            "require-dev": {
                "ext-curl": "*",
                "phpunit/phpunit": "^4.8.35 || ^5.7 || ^6.4 || ^7.0",
                "psr/log": "^1.1"
            },
            "suggest": {
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2022-06-20T22:16:07+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "6.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "homepage": "http://guzzlephp.org/",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "rest",
                "web service"
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "1.5.3",
            "version_normalized": "1.5.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "67ab6e18aaa14d753cc148911d273f6e6cb6721e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/67ab6e18aaa14d753cc148911d273f6e6cb6721e",
                "reference": "67ab6e18aaa14d753cc148911d273f6e6cb6721e",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.5"
            },
            "require-dev": {
                "symfony/phpunit-bridge": "^4.4 || ^5.1"
            },
            "time": "2023-05-21T12:31:43+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/1.5.3"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "1.9.1",
            "version_normalized": "1.9.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "e4490cabc77465aaee90b20cfc9a770f8c04be6b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/e4490cabc77465aaee90b20cfc9a770f8c04be6b",
                "reference": "e4490cabc77465aaee90b20cfc9a770f8c04be6b",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.4.0",
                "psr/http-message": "~1.0",
                "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
            },
            "provide": {
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "ext-zlib": "*",
                "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.14 || ^7.5.20 || ^8.5.8 || ^9.3.10"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2023-04-17T16:00:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/1.9.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "kevinrob/guzzle-cache-middleware",
            "version": "v5.1.0",
            "version_normalized": "5.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Kevinrob/guzzle-cache-middleware.git",
                "reference": "6bd64dbbe5155107d84a0f67140a8822a709c6d0"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Kevinrob/guzzle-cache-middleware/zipball/6bd64dbbe5155107d84a0f67140a8822a709c6d0",
                "reference": "6bd64dbbe5155107d84a0f67140a8822a709c6d0",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "guzzlehttp/guzzle": "^6.0 || ^7.0",
                "guzzlehttp/promises": "^1.4 || ^2.0",
                "guzzlehttp/psr7": "^1.7.0 || ^2.0.0",
                "php": ">=7.2.0"
            },
            "require-dev": {
                "cache/array-adapter": "^0.4 || ^0.5 || ^1.0",
                "cache/simple-cache-bridge": "^0.1 || ^1.0",
                "doctrine/cache": "^1.10",
                "illuminate/cache": "^5.0",
                "league/flysystem": "^2.5",
                "phpunit/phpunit": "^8.5.15 || ^9.5",
                "psr/cache": "^1.0",
                "symfony/cache": "^4.4 || ^5.0",
                "symfony/phpunit-bridge": "^4.4 || ^5.0"
            },
            "suggest": {
                "doctrine/cache": "This library has a lot of ready-to-use cache storage (to be used with Kevinrob\\GuzzleCache\\Storage\\DoctrineCacheStorage). Use only versions >=1.4.0 < 2.0.0",
                "guzzlehttp/guzzle": "For using this library. It was created for Guzzle6 (but you can use it with any PSR-7 HTTP client).",
                "laravel/framework": "To be used with Kevinrob\\GuzzleCache\\Storage\\LaravelCacheStorage",
                "league/flysystem": "To be used with Kevinrob\\GuzzleCache\\Storage\\FlysystemStorage",
                "psr/cache": "To be used with Kevinrob\\GuzzleCache\\Storage\\Psr6CacheStorage",
                "psr/simple-cache": "To be used with Kevinrob\\GuzzleCache\\Storage\\Psr16CacheStorage"
            },
            "time": "2023-11-09T06:53:45+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Kevinrob\\GuzzleCache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Kevin Robatel",
                    "email": "kevinrob2@gmail.com",
                    "homepage": "https://github.com/Kevinrob"
                }
            ],
            "description": "A HTTP/1.1 Cache for Guzzle 6. It's a simple Middleware to be added in the HandlerStack. (RFC 7234)",
            "homepage": "https://github.com/Kevinrob/guzzle-cache-middleware",
            "keywords": [
                "Etag",
                "Flysystem",
                "Guzzle",
                "cache",
                "cache-control",
                "doctrine",
                "expiration",
                "guzzle6",
                "handler",
                "http",
                "http 1.1",
                "middleware",
                "performance",
                "php",
                "promise",
                "psr6",
                "psr7",
                "rfc7234",
                "validation"
            ],
            "support": {
                "issues": "https://github.com/Kevinrob/guzzle-cache-middleware/issues",
                "source": "https://github.com/Kevinrob/guzzle-cache-middleware/tree/v5.1.0"
            },
            "install-path": "../kevinrob/guzzle-cache-middleware"
        },
        {
            "name": "league/flysystem",
            "version": "1.1.10",
            "version_normalized": "1.1.10.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem.git",
                "reference": "3239285c825c152bcc315fe0e87d6b55f5972ed1"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/league/flysystem/1.1.10/league-flysystem-1.1.10.zip",
                "reference": "3239285c825c152bcc315fe0e87d6b55f5972ed1",
                "shasum": ""
            },
            "require": {
                "ext-fileinfo": "*",
                "league/mime-type-detection": "^1.3",
                "php": "^7.2.5 || ^8.0"
            },
            "conflict": {
                "league/flysystem-sftp": "<1.0.6"
            },
            "require-dev": {
                "phpspec/prophecy": "^1.11.1",
                "phpunit/phpunit": "^8.5.8"
            },
            "suggest": {
                "ext-ftp": "Allows you to use FTP server storage",
                "ext-openssl": "Allows you to use FTPS server storage",
                "league/flysystem-aws-s3-v2": "Allows you to use S3 storage with AWS SDK v2",
                "league/flysystem-aws-s3-v3": "Allows you to use S3 storage with AWS SDK v3",
                "league/flysystem-azure": "Allows you to use Windows Azure Blob storage",
                "league/flysystem-cached-adapter": "Flysystem adapter decorator for metadata caching",
                "league/flysystem-eventable-filesystem": "Allows you to use EventableFilesystem",
                "league/flysystem-rackspace": "Allows you to use Rackspace Cloud Files",
                "league/flysystem-sftp": "Allows you to use SFTP server storage via phpseclib",
                "league/flysystem-webdav": "Allows you to use WebDAV storage",
                "league/flysystem-ziparchive": "Allows you to use ZipArchive adapter",
                "spatie/flysystem-dropbox": "Allows you to use Dropbox storage",
                "srmklive/flysystem-dropbox-v2": "Allows you to use Dropbox storage for PHP 5 applications"
            },
            "time": "2022-10-04T09:16:37+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Frank de Jonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "Filesystem abstraction: Many filesystems, one API.",
            "keywords": [
                "Cloud Files",
                "WebDAV",
                "abstraction",
                "aws",
                "cloud",
                "copy.com",
                "dropbox",
                "file systems",
                "files",
                "filesystem",
                "filesystems",
                "ftp",
                "rackspace",
                "remote",
                "s3",
                "sftp",
                "storage"
            ],
            "install-path": "../league/flysystem"
        },
        {
            "name": "league/flysystem-cached-adapter",
            "version": "1.1.0",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem-cached-adapter.git",
                "reference": "d1925efb2207ac4be3ad0c40b8277175f99ffaff"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/league/flysystem-cached-adapter/1.1.0/league-flysystem-cached-adapter-1.1.0.zip",
                "reference": "d1925efb2207ac4be3ad0c40b8277175f99ffaff",
                "shasum": ""
            },
            "require": {
                "league/flysystem": "~1.0",
                "psr/cache": "^1.0.0"
            },
            "require-dev": {
                "mockery/mockery": "~0.9",
                "phpspec/phpspec": "^3.4",
                "phpunit/phpunit": "^5.7",
                "predis/predis": "~1.0",
                "tedivm/stash": "~0.12"
            },
            "suggest": {
                "ext-phpredis": "Pure C implemented extension for PHP"
            },
            "time": "2020-07-25T15:56:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\Cached\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "frankdejonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "An adapter decorator to enable meta-data caching.",
            "install-path": "../league/flysystem-cached-adapter"
        },
        {
            "name": "league/mime-type-detection",
            "version": "1.12.0",
            "version_normalized": "1.12.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/mime-type-detection.git",
                "reference": "c7f2872fb273bf493811473dafc88d60ae829f48"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/mime-type-detection/zipball/c7f2872fb273bf493811473dafc88d60ae829f48",
                "reference": "c7f2872fb273bf493811473dafc88d60ae829f48",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-fileinfo": "*",
                "php": "^7.2 || ^8.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^3.2",
                "phpstan/phpstan": "^0.12.68",
                "phpunit/phpunit": "^8.5.8 || ^9.3"
            },
            "time": "2023-08-03T07:14:11+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\MimeTypeDetection\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Frank de Jonge",
                    "email": "info@frankdejonge.nl"
                }
            ],
            "description": "Mime-type detection for Flysystem",
            "support": {
                "issues": "https://github.com/thephpleague/mime-type-detection/issues",
                "source": "https://github.com/thephpleague/mime-type-detection/tree/1.12.0"
            },
            "funding": [
                {
                    "url": "https://github.com/frankdejonge",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/league/flysystem",
                    "type": "tidelift"
                }
            ],
            "install-path": "../league/mime-type-detection"
        },
        {
            "name": "php-curl-class/php-curl-class",
            "version": "9.19.2",
            "version_normalized": "9.19.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-curl-class/php-curl-class.git",
                "reference": "c41efeb4ea2dc3cf8f90f8f967b0fcf45a41e294"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-curl-class/php-curl-class/zipball/c41efeb4ea2dc3cf8f90f8f967b0fcf45a41e294",
                "reference": "c41efeb4ea2dc3cf8f90f8f967b0fcf45a41e294",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-curl": "*",
                "php": ">=7.0"
            },
            "require-dev": {
                "dealerdirect/phpcodesniffer-composer-installer": "*",
                "ext-gd": "*",
                "friendsofphp/php-cs-fixer": "*",
                "phpcompatibility/php-compatibility": "dev-develop",
                "phpcsstandards/phpcsutils": "@alpha",
                "phpunit/phpunit": "*",
                "squizlabs/php_codesniffer": "*",
                "vimeo/psalm": ">=0.3.63"
            },
            "suggest": {
                "ext-mbstring": "*"
            },
            "time": "2024-04-09T18:03:13+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Curl\\": "src/Curl/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Unlicense"
            ],
            "authors": [
                {
                    "name": "Zach Borboa"
                },
                {
                    "name": "Contributors",
                    "homepage": "https://github.com/php-curl-class/php-curl-class/graphs/contributors"
                }
            ],
            "description": "PHP Curl Class makes it easy to send HTTP requests and integrate with web APIs.",
            "homepage": "https://github.com/php-curl-class/php-curl-class",
            "keywords": [
                "API-Client",
                "api",
                "class",
                "client",
                "curl",
                "framework",
                "http",
                "http-client",
                "http-proxy",
                "json",
                "php",
                "php-curl",
                "php-curl-library",
                "proxy",
                "requests",
                "restful",
                "web-scraper",
                "web-scraping ",
                "web-service",
                "xml"
            ],
            "support": {
                "issues": "https://github.com/php-curl-class/php-curl-class/issues",
                "source": "https://github.com/php-curl-class/php-curl-class/tree/9.19.2"
            },
            "install-path": "../php-curl-class/php-curl-class"
        },
        {
            "name": "psr/cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/cache.git",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/psr/cache/1.0.1/psr-cache-1.0.1.zip",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T20:24:11+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Cache\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for caching libraries",
            "keywords": [
                "cache",
                "psr",
                "psr-6"
            ],
            "install-path": "../psr/cache"
        },
        {
            "name": "psr/container",
            "version": "1.1.1",
            "version_normalized": "1.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/container.git",
                "reference": "8622567409010282b7aeebe4bb841fe98b58dcaf"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/psr/container/1.1.1/psr-container-1.1.1.zip",
                "reference": "8622567409010282b7aeebe4bb841fe98b58dcaf",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2.0"
            },
            "time": "2021-03-05T17:36:06+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-message",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/psr/http-message/1.1/psr-http-message-1.1.zip",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:50:52+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "1.1.4",
            "version_normalized": "1.1.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/psr/log/1.1.4/psr-log-1.1.4.zip",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2021-05-03T11:20:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "Psr/Log/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "install-path": "../psr/log"
        },
        {
            "name": "psr/simple-cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/simple-cache.git",
                "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/psr/simple-cache/1.0.1/psr-simple-cache-1.0.1.zip",
                "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2017-10-23T01:57:42+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\SimpleCache\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for simple caching",
            "keywords": [
                "cache",
                "caching",
                "psr",
                "psr-16",
                "simple-cache"
            ],
            "install-path": "../psr/simple-cache"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/ralouphie/getallheaders/3.0.3/ralouphie-getallheaders-3.0.3.zip",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "symfony/cache",
            "version": "v5.4.46",
            "version_normalized": "5.4.46.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/cache.git",
                "reference": "0fe08ee32cec2748fbfea10c52d3ee02049e0f6b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/cache/zipball/0fe08ee32cec2748fbfea10c52d3ee02049e0f6b",
                "reference": "0fe08ee32cec2748fbfea10c52d3ee02049e0f6b",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2.5",
                "psr/cache": "^1.0|^2.0",
                "psr/log": "^1.1|^2|^3",
                "symfony/cache-contracts": "^1.1.7|^2",
                "symfony/deprecation-contracts": "^2.1|^3",
                "symfony/polyfill-php73": "^1.9",
                "symfony/polyfill-php80": "^1.16",
                "symfony/service-contracts": "^1.1|^2|^3",
                "symfony/var-exporter": "^4.4|^5.0|^6.0"
            },
            "conflict": {
                "doctrine/dbal": "<2.13.1",
                "symfony/dependency-injection": "<4.4",
                "symfony/http-kernel": "<4.4",
                "symfony/var-dumper": "<4.4"
            },
            "provide": {
                "psr/cache-implementation": "1.0|2.0",
                "psr/simple-cache-implementation": "1.0|2.0",
                "symfony/cache-implementation": "1.0|2.0"
            },
            "require-dev": {
                "cache/integration-tests": "dev-master",
                "doctrine/cache": "^1.6|^2.0",
                "doctrine/dbal": "^2.13.1|^3|^4",
                "predis/predis": "^1.1|^2.0",
                "psr/simple-cache": "^1.0|^2.0",
                "symfony/config": "^4.4|^5.0|^6.0",
                "symfony/dependency-injection": "^4.4|^5.0|^6.0",
                "symfony/filesystem": "^4.4|^5.0|^6.0",
                "symfony/http-kernel": "^4.4|^5.0|^6.0",
                "symfony/messenger": "^4.4|^5.0|^6.0",
                "symfony/var-dumper": "^4.4|^5.0|^6.0"
            },
            "time": "2024-11-04T11:43:55+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Cache\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Provides extended PSR-6, PSR-16 (and tags) implementations",
            "homepage": "https://symfony.com",
            "keywords": [
                "caching",
                "psr6"
            ],
            "support": {
                "source": "https://github.com/symfony/cache/tree/v5.4.46"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/cache"
        },
        {
            "name": "symfony/cache-contracts",
            "version": "v2.5.4",
            "version_normalized": "2.5.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/cache-contracts.git",
                "reference": "517c3a3619dadfa6952c4651767fcadffb4df65e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/cache-contracts/zipball/517c3a3619dadfa6952c4651767fcadffb4df65e",
                "reference": "517c3a3619dadfa6952c4651767fcadffb4df65e",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2.5",
                "psr/cache": "^1.0|^2.0|^3.0"
            },
            "suggest": {
                "symfony/cache-implementation": ""
            },
            "time": "2024-09-25T14:11:13+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/contracts",
                    "name": "symfony/contracts"
                },
                "branch-alias": {
                    "dev-main": "2.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Contracts\\Cache\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Generic abstractions related to caching",
            "homepage": "https://symfony.com",
            "keywords": [
                "abstractions",
                "contracts",
                "decoupling",
                "interfaces",
                "interoperability",
                "standards"
            ],
            "support": {
                "source": "https://github.com/symfony/cache-contracts/tree/v2.5.4"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/cache-contracts"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v2.5.4",
            "version_normalized": "2.5.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "605389f2a7e5625f273b53960dc46aeaf9c62918"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/605389f2a7e5625f273b53960dc46aeaf9c62918",
                "reference": "605389f2a7e5625f273b53960dc46aeaf9c62918",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2024-09-25T14:11:13+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.5-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v2.5.4"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "symfony/polyfill-intl-idn",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-idn.git",
                "reference": "c36586dcf89a12315939e00ec9b4474adcb1d773"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-idn/zipball/c36586dcf89a12315939e00ec9b4474adcb1d773",
                "reference": "c36586dcf89a12315939e00ec9b4474adcb1d773",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2",
                "symfony/polyfill-intl-normalizer": "^1.10"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Idn\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Laurent Bassin",
                    "email": "laurent@bassin.info"
                },
                {
                    "name": "Trevor Rowbotham",
                    "email": "trevor.rowbotham@pm.me"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's idn_to_ascii and idn_to_utf8 functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "idn",
                "intl",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-idn/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-idn"
        },
        {
            "name": "symfony/polyfill-intl-normalizer",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-normalizer.git",
                "reference": "3833d7255cc303546435cb650316bff708a1c75c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-normalizer/zipball/3833d7255cc303546435cb650316bff708a1c75c",
                "reference": "3833d7255cc303546435cb650316bff708a1c75c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Normalizer\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's Normalizer class and related functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "intl",
                "normalizer",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-normalizer/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-normalizer"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "85181ba99b2345b0ef10ce42ecac37612d9fd341"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/85181ba99b2345b0ef10ce42ecac37612d9fd341",
                "reference": "85181ba99b2345b0ef10ce42ecac37612d9fd341",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2"
            },
            "provide": {
                "ext-mbstring": "*"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-mbstring/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "symfony/polyfill-php72",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php72.git",
                "reference": "fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php72/zipball/fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce",
                "reference": "fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "metapackage",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 7.2+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php72/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": null
        },
        {
            "name": "symfony/polyfill-php73",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php73.git",
                "reference": "0f68c03565dcaaf25a890667542e8bd75fe7e5bb"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php73/zipball/0f68c03565dcaaf25a890667542e8bd75fe7e5bb",
                "reference": "0f68c03565dcaaf25a890667542e8bd75fe7e5bb",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Php73\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 7.3+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php73/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-php73"
        },
        {
            "name": "symfony/polyfill-php80",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php80.git",
                "reference": "60328e362d4c2c802a54fcbf04f9d3fb892b4cf8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php80/zipball/60328e362d4c2c802a54fcbf04f9d3fb892b4cf8",
                "reference": "60328e362d4c2c802a54fcbf04f9d3fb892b4cf8",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Php80\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ion Bazan",
                    "email": "ion.bazan@gmail.com"
                },
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 8.0+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php80/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-php80"
        },
        {
            "name": "symfony/service-contracts",
            "version": "v2.5.4",
            "version_normalized": "2.5.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/service-contracts.git",
                "reference": "f37b419f7aea2e9abf10abd261832cace12e3300"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/service-contracts/zipball/f37b419f7aea2e9abf10abd261832cace12e3300",
                "reference": "f37b419f7aea2e9abf10abd261832cace12e3300",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2.5",
                "psr/container": "^1.1",
                "symfony/deprecation-contracts": "^2.1|^3"
            },
            "conflict": {
                "ext-psr": "<1.1|>=2"
            },
            "suggest": {
                "symfony/service-implementation": ""
            },
            "time": "2024-09-25T14:11:13+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.5-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Contracts\\Service\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Generic abstractions related to writing services",
            "homepage": "https://symfony.com",
            "keywords": [
                "abstractions",
                "contracts",
                "decoupling",
                "interfaces",
                "interoperability",
                "standards"
            ],
            "support": {
                "source": "https://github.com/symfony/service-contracts/tree/v2.5.4"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/service-contracts"
        },
        {
            "name": "symfony/var-dumper",
            "version": "v4.4.47",
            "version_normalized": "4.4.47.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/var-dumper.git",
                "reference": "1069c7a3fca74578022fab6f81643248d02f8e63"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/symfony/var-dumper/v4.4.47/symfony-var-dumper-v4.4.47.zip",
                "reference": "1069c7a3fca74578022fab6f81643248d02f8e63",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3",
                "symfony/polyfill-mbstring": "~1.0",
                "symfony/polyfill-php72": "~1.5",
                "symfony/polyfill-php80": "^1.16"
            },
            "conflict": {
                "phpunit/phpunit": "<4.8.35|<5.4.3,>=5.0",
                "symfony/console": "<3.4"
            },
            "require-dev": {
                "ext-iconv": "*",
                "symfony/console": "^3.4|^4.0|^5.0",
                "symfony/process": "^4.4|^5.0",
                "twig/twig": "^1.43|^2.13|^3.0.4"
            },
            "suggest": {
                "ext-iconv": "To convert non-UTF-8 strings to UTF-8 (or symfony/polyfill-iconv in case ext-iconv cannot be used).",
                "ext-intl": "To show region name in time zone dump",
                "symfony/console": "To use the ServerDumpCommand and/or the bin/var-dump-server script"
            },
            "time": "2022-10-03T15:15:11+00:00",
            "bin": [
                "Resources/bin/var-dump-server"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "Resources/functions/dump.php"
                ],
                "psr-4": {
                    "Symfony\\Component\\VarDumper\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Provides mechanisms for walking through any arbitrary PHP variable",
            "homepage": "https://symfony.com",
            "keywords": [
                "debug",
                "dump"
            ],
            "install-path": "../symfony/var-dumper"
        },
        {
            "name": "symfony/var-exporter",
            "version": "v5.4.45",
            "version_normalized": "5.4.45.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/var-exporter.git",
                "reference": "862700068db0ddfd8c5b850671e029a90246ec75"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/var-exporter/zipball/862700068db0ddfd8c5b850671e029a90246ec75",
                "reference": "862700068db0ddfd8c5b850671e029a90246ec75",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2.5",
                "symfony/polyfill-php80": "^1.16"
            },
            "require-dev": {
                "symfony/var-dumper": "^4.4.9|^5.0.9|^6.0"
            },
            "time": "2024-09-25T14:11:13+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\VarExporter\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Allows exporting any serializable PHP data structure to plain PHP code",
            "homepage": "https://symfony.com",
            "keywords": [
                "clone",
                "construct",
                "export",
                "hydrate",
                "instantiate",
                "serialize"
            ],
            "support": {
                "source": "https://github.com/symfony/var-exporter/tree/v5.4.45"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/var-exporter"
        },
        {
            "name": "topthink/framework",
            "version": "v6.1.5",
            "version_normalized": "6.1.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/framework.git",
                "reference": "57d1950a1844ef8d3098ea290032aeb92e2e32c3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/framework/zipball/57d1950a1844ef8d3098ea290032aeb92e2e32c3",
                "reference": "57d1950a1844ef8d3098ea290032aeb92e2e32c3",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "ext-mbstring": "*",
                "php": ">=7.2.5",
                "psr/container": "~1.0",
                "psr/http-message": "^1.0",
                "psr/log": "~1.0",
                "psr/simple-cache": "^1.0",
                "topthink/think-helper": "^3.1.1",
                "topthink/think-orm": "^2.0|^3.0"
            },
            "require-dev": {
                "guzzlehttp/psr7": "^2.1.0",
                "mikey179/vfsstream": "^1.6",
                "mockery/mockery": "^1.2",
                "phpunit/phpunit": "^7.0"
            },
            "time": "2024-04-16T02:01:19+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [],
                "psr-4": {
                    "think\\": "src/think/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                },
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP Framework.",
            "homepage": "http://thinkphp.cn/",
            "keywords": [
                "framework",
                "orm",
                "thinkphp"
            ],
            "support": {
                "issues": "https://github.com/top-think/framework/issues",
                "source": "https://github.com/top-think/framework/tree/v6.1.5"
            },
            "install-path": "../topthink/framework"
        },
        {
            "name": "topthink/think-filesystem",
            "version": "v1.0.3",
            "version_normalized": "1.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-filesystem.git",
                "reference": "29f19f140a9267c717fecd7ccb22c84c2d72382e"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/topthink/think-filesystem/v1.0.3/topthink-think-filesystem-v1.0.3.zip",
                "reference": "29f19f140a9267c717fecd7ccb22c84c2d72382e",
                "shasum": ""
            },
            "require": {
                "league/flysystem": "^1.1.4",
                "league/flysystem-cached-adapter": "^1.0",
                "php": ">=7.2.5",
                "topthink/framework": "^6.1|^8.0"
            },
            "require-dev": {
                "mikey179/vfsstream": "^1.6",
                "mockery/mockery": "^1.2",
                "phpunit/phpunit": "^8.0"
            },
            "time": "2023-02-08T01:25:15+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                }
            },
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP6.1 Filesystem Package",
            "install-path": "../topthink/think-filesystem"
        },
        {
            "name": "topthink/think-helper",
            "version": "v3.1.11",
            "version_normalized": "3.1.11.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-helper.git",
                "reference": "1d6ada9b9f3130046bf6922fe1bd159c8d88a33c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-helper/zipball/1d6ada9b9f3130046bf6922fe1bd159c8d88a33c",
                "reference": "1d6ada9b9f3130046bf6922fe1bd159c8d88a33c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.5"
            },
            "time": "2025-04-07T06:55:59+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/helper.php"
                ],
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP6 Helper Package",
            "support": {
                "issues": "https://github.com/top-think/think-helper/issues",
                "source": "https://github.com/top-think/think-helper/tree/v3.1.11"
            },
            "install-path": "../topthink/think-helper"
        },
        {
            "name": "topthink/think-orm",
            "version": "v2.0.62",
            "version_normalized": "2.0.62.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-orm.git",
                "reference": "e53bfea572a133039ad687077120de5521af617f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-orm/zipball/e53bfea572a133039ad687077120de5521af617f",
                "reference": "e53bfea572a133039ad687077120de5521af617f",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "ext-pdo": "*",
                "php": ">=7.1.0",
                "psr/log": "^1.0|^2.0",
                "psr/simple-cache": "^1.0|^2.0",
                "topthink/think-helper": "^3.1"
            },
            "require-dev": {
                "phpunit/phpunit": "^7|^8|^9.5"
            },
            "time": "2024-09-22T06:17:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "stubs/load_stubs.php"
                ],
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "think orm",
            "keywords": [
                "database",
                "orm"
            ],
            "support": {
                "issues": "https://github.com/top-think/think-orm/issues",
                "source": "https://github.com/top-think/think-orm/tree/v2.0.62"
            },
            "install-path": "../topthink/think-orm"
        },
        {
            "name": "topthink/think-trace",
            "version": "v1.6",
            "version_normalized": "1.6.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-trace.git",
                "reference": "136cd5d97e8bdb780e4b5c1637c588ed7ca3e142"
            },
            "dist": {
                "type": "zip",
                "url": "https://repo.huaweicloud.com/repository/php/topthink/think-trace/v1.6/topthink-think-trace-v1.6.zip",
                "reference": "136cd5d97e8bdb780e4b5c1637c588ed7ca3e142",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0",
                "topthink/framework": "^6.0|^8.0"
            },
            "time": "2023-02-07T08:36:32+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\trace\\Service"
                    ],
                    "config": {
                        "trace": "src/config.php"
                    }
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\trace\\": "src"
                }
            },
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp debug trace",
            "install-path": "../topthink/think-trace"
        }
    ],
    "dev": true,
    "dev-package-names": [
        "symfony/polyfill-mbstring",
        "symfony/polyfill-php72",
        "symfony/var-dumper",
        "topthink/think-trace"
    ]
}
